---
title: 'Upsert minting allowlist entries'
description: 'Create or update allowlist entries for a minting contract asset (max 25 entries per request). If an entry already exists, it will be updated with the new quantity.'
openapi: POST /api/minting/assets/allowlist
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/minting/assets/allowlist`

`POST https://admin.snagsolutions.io/api/minting/assets/allowlist`

Create or update allowlist entries for a minting contract asset (max 25 entries per request). If an entry already exists, it will be updated with the new quantity.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object) — Create or update allowlist entries for a minting asset
    - `mintingContractAssetId` (string, uuid, required)
    - `entries` (array, required) — Allowlist entries (max 25 per request)
      - `items` (object)
        - `walletAddress` (string, required)
        - `quantity` (integer, required)

## Response 200

200
  - response (object) — Response schema for allowlist mutations
    - `createdCount` (integer, required)
    - `mintingContractAssetId` (string, uuid, required)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
